Bug 254215 - Install/boot fails on Thinkpad T61 with AHCI
Install/boot fails on Thinkpad T61 with AHCI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8KernelBlocker
  Show dependency treegraph
 
Reported: 2007-08-24 16:03 EDT by Matthew Saltzman
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-30 17:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-08-24 16:03:44 EDT
Description of problem:
The install kernel fails to boot on my Thinkpad T61 unless I set the IDE
controller to compatibility mode.  Once installed and updated, the latest F7
kernel won't boot unless the ahci module is forced into the initrd.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot install disk with ATA controller in AHCI mode
2.
3.
  
Actual results:
Installer fails to see the disk.

Expected results:
Should boot and run through the install process.

Steps to Reproduce:
1. Install in compatibility mode and apply kernel updates
2. Change to AHCI mode
3. Boot installed kernel

Actual results:
Kernel panics

Expected results:
Kernel should boot

Additional info:
Workaround for post-install: mkinitrd --with=ahci.
Comment 1 Christopher Brown 2007-09-30 08:46:15 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

As this appears to be an installer bug it would be good if you could test the
latest version of Fedora 8, available from:

http://torrent.fedoraproject.org/torrents//rawhide-i386-Live-20070925.torrent

so that we can resolve as many of these issues as possible before release. I'm
adding a F8 release blocker bug to highlight this issue as well.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 2 Matthew Saltzman 2007-09-30 17:05:28 EDT
Yes, the F8T2 installer solves this problem.  Should I close as RAWHIDE or
NEXTRELEASE?

Note You need to log in before you can comment on or make changes to this bug.